edu.northwestern.at.morphadorner.tools.comparestringcounts

## Class CompareStringCounts.ReverseScoredString

- java.lang.Object
- - edu.northwestern.at.utils.ScoredString
  - - edu.northwestern.at.morphadorner.tools.comparestringcounts.CompareStringCounts.ReverseScoredString

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable
  Enclosing class:
    CompareStringCounts

      public static class CompareStringCounts.ReverseScoredString
      extends ScoredString

  ScoredString modified to sort results from highest to lowest.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.utils.ScoredString

      `score, string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompareStringCounts.ReverseScoredString(java.lang.String string, double score)` Create scored string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object other)` Compare this scored string with another.

    - ### Methods inherited from class edu.northwestern.at.utils.ScoredString

      `equals, getScore, getString, putString, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareStringCounts.ReverseScoredString

          public CompareStringCounts.ReverseScoredString(java.lang.String string,
                                                 double score)

      Create scored string.
      Parameters:
        `string` - String.
        `score` - Score.

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object other)

      Compare this scored string with another.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Overrides:
        `compareTo` in class `ScoredString`
      Parameters:
        `other` - The other scored string
      Returns:
        > 0 if this scored string is less than the other, = 0 if the two scored strings are equal, < 0 if this scored string is greater than the other.